Skip to main content
GET
/
{org}
/
repos
List repositories
curl --request GET \
  --url https://api.mesa.dev/api/v1/{org}/repos \
  --header 'Authorization: Bearer <token>'
{
  "next_cursor": "<string>",
  "has_more": true,
  "repos": [
    {
      "id": "<string>",
      "org": "<string>",
      "name": "<string>",
      "default_branch": "<string>",
      "head_oid": "<string>",
      "size_bytes": 123,
      "created_at": "<string>",
      "upstream": {
        "uri": "<string>",
        "autosync": {
          "type": "<string>",
          "period": 123,
          "resolution_strategy": "none"
        },
        "last_sync_attempt": "2023-11-07T05:31:56Z",
        "last_sync_success": "2023-11-07T05:31:56Z",
        "last_sync_error": "<string>",
        "has_credential": true,
        "credential_host": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
Minimum string length: 1

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100

Response

Repository list

next_cursor
string | null
required
has_more
boolean
required
repos
object[]
required